<div>
  <div class="modal">
    <button type="button" class="close" (click)="closeModal()">
      <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">
      <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
      </elastic-page-header>
    </div>
    <div *ngIf="modalTypeBike == 'edit'">
      <h1>Editar bicicleta</h1>
    </div>
    <div *ngIf="modalTypeBike == 'add'">
      <h1>Crear bicicleta</h1>
    </div>
  </div>
  <form *ngIf="modalTypeBike == 'add'" id="modalBike" [formGroup]="form" >
    <div class="container">
      <div class="column">
        <mat-form-field class="example-full-width">
          <mat-label>Numero</mat-label>
          <input *ngIf="modalTypeBike == 'add'" value="" matInput type="text" formControlName="number"
            class="form-control" />
        </mat-form-field>
        <mat-form-field *ngIf="modalTypeBike == 'add'" class="example-full-width">
          <mat-label>Estacion</mat-label>
          <select matNativeControl required formControlName="stationId" class="form-control">
            <option value="" selected disabled>Elija una opcion</option>
            <option *ngFor="let item of stationsBikes" value="{{ item.id }}">
              {{ item.name }}
            </option>
          </select>
        </mat-form-field>

        <div class="actions" *ngIf="selectedLock.id">
          <mat-form-field class="example-full-width">
            <mat-label>Candado asignado</mat-label>
            <input matInput value="Imei:{{ selectedLock.imei }}" disabled="true" />
            <input matInput value="Numero Qr:{{ selectedLock.qrNumber }}" disabled="true" />
            <input matInput value="Mac:{{ selectedLock.mac }}" disabled="true" />
          </mat-form-field>
          <div class="action-b">
            <button class="btn-actions mar" (click)="modalLockBike()">
              <mat-icon>edit</mat-icon>
            </button>
            <button class="btn-actions ">
              <mat-icon (click)="delete()">delete</mat-icon>
            </button>
          </div>
        </div>
        <div class="actions" *ngIf="!selectedLock.id">
          <mat-form-field class="example-full-width">
            <mat-label>Asignar Candado</mat-label>
            <input matInput value="Candado sin asignar" disabled="true" />
          </mat-form-field>
          <div class="action-b" (click)="modalLockBike()">
            <button class=" btn-lock ">
              <mat-icon>add</mat-icon>
            </button>
          </div>
        </div>

      </div>
      <div class="column">
        <mat-form-field *ngIf="modalTypeBike == 'add'" class="example-full-width">
          <mat-label>Tipo de bicicleta</mat-label>
          <select matNativeControl required formControlName="type" class="form-control">
            <option value="" selected disabled>Elija una opcion</option>
            <option *ngFor="let item of typesBikes" value="{{ item.value }}">
              {{ item.value }}
            </option>
          </select>
        </mat-form-field>
        <mat-form-field *ngIf="modalTypeBike == 'add'" class="example-full-width">
          <mat-label>Estado</mat-label>
          <select matNativeControl required formControlName="state" class="form-control">
            <option value="" selected disabled>Elija una opcion</option>
            <option *ngFor="let item of stateBikes" value="{{ item.value }}">
              {{ item.value }}
            </option>
          </select>
        </mat-form-field>
      </div>
    </div>
    <div class="container-close-modal">
      <button class="btn-save" (click)="closeModal()">cancelar</button>
      <button *ngIf="modalTypeBike == 'add'" class="btn-save" type="submit" (click)="saveModal()">Crear</button>
    </div>
  </form>






  <form *ngIf="modalTypeBike == 'edit'" id="modalBikeEdit" [formGroup]="formEdit" >
    <div class="container">
      <div class="column">
        <mat-form-field class="example-full-width">
          <mat-label>Numero</mat-label>
          <input *ngIf="modalTypeBike == 'edit'" value={{modalBike.number}} matInput type="text"
            formControlName="number" class="form-control" required />
        </mat-form-field>
        <mat-form-field *ngIf="modalTypeBike == 'edit' && modalBike.state" class="example-full-width">
          <mat-label>Estacion</mat-label>
          <select matNativeControl required formControlName="stationId" class="form-control">
            <option value={{modalBike.state.id}} selected disabled>{{modalBike.state.name}}
            </option>
            <option *ngFor="let item of stationsBikes" value={{item.id}}>
              {{ item.name }}
            </option>

          </select>
        </mat-form-field>
        <div class="actions" *ngIf="selectedLock.id">
          <mat-form-field class="example-full-width">
            <mat-label>Candado asignado</mat-label>
            <input matInput value="Imei:{{ selectedLock.imei }}" disabled="true" />
            <input matInput value="Numero Qr:{{ selectedLock.qrNumber }}" disabled="true" />
            <input matInput value="Mac:{{ selectedLock.mac }}" disabled="true" />
          </mat-form-field>
          <div class="action-b">
            <button class="btn-actions mar" (click)="modalLockBike()">
              <mat-icon>edit</mat-icon>
            </button>
            <button class="btn-actions ">
              <mat-icon (click)="delete()">delete</mat-icon>
            </button>
          </div>
        </div>
        <div class="actions" *ngIf="!selectedLock.id">
          <mat-form-field class="example-full-width">
            <mat-label>Asignar Candado</mat-label>
            <input matInput value="Candado sin asignar" disabled="true" />
          </mat-form-field>
          <div class="action-b" (click)="modalLockBike()">
            <button class="btn-lock">
              <mat-icon>add</mat-icon>
            </button>
          </div>
        </div>

      </div>
      <div class="column">
        <mat-form-field *ngIf="modalTypeBike == 'edit'" class="example-full-width">
          <mat-label>Tipo de bicicleta</mat-label>
          <select matNativeControl required formControlName="type" class="form-control">
            <option value={{modalBike.type}} selected disabled>{{modalBike.type}}
            </option>
            <option *ngFor="let item of typesBikes" value={{item.value}}>
              {{ item.value }}
            </option>

          </select>
        </mat-form-field>
        <mat-form-field *ngIf="modalTypeBike == 'edit'" class="example-full-width">
          <mat-label>Estado</mat-label>
          <select matNativeControl required formControlName="state" class="form-control">
            <option value={{modalBike.state}} selected disabled>{{modalBike.state}}</option>
            <option *ngFor="let item of stateBikes" value={{item.value}}>
              {{ item.value }}
            </option>
          </select>
        </mat-form-field>

      </div>
    </div>
    <div class="container-close-modal">
      <button class="btn-save" (click)="closeModal()">cancelar</button>
      <button *ngIf="modalTypeBike == 'edit'" class="btn-save" type="submit" (click)="saveModalEdit()">Editar</button>
    </div>
  </form>
</div>
